PrivyPrivy
Sign in
  • Documentation
Back to Documentation
B2B Digital Certificate Issuance Support
OverviewChangelog
Insights API
Face Compare API
KTP OCR API
ID Card Forgery
    v1
      ID Card Forgery v1QuickstartEnvironmentsAuthenticationRequest FieldsForgery ResultsErrors
API Explorer
powered by Zudoku
Sign in
v1

Quickstart

Choose one authentication method, then replace the credential placeholders, transaction ID, and image with values for your integration.

Basic Authentication

TerminalCode
curl -X POST https://stg-b2b-api.privy.id/api/v1/inspect \ -H 'Authorization: Basic <BASE64_USERNAME_PASSWORD>' \ -H 'Merchant-Key: <MERCHANT_KEY>' \ -H "Content-Type: application/json" \ -d '{ "transaction_id": "id-forgery-001", "image": "/9j/4AAQSkZJRgABAQAAAQABAAD...", "channel": "web" }'

Bearer HMAC Authentication

TerminalCode
curl -X POST https://stg-b2b-api.privy.id/api/v1/inspect \ -H 'Authorization: Bearer <ACCESS_TOKEN>' \ -H 'Timestamp: <TIMESTAMP>' \ -H 'Signature: <SIGNATURE>' \ -H "Content-Type: application/json" \ -d '{ "transaction_id": "id-forgery-001", "image": "/9j/4AAQSkZJRgABAQAAAQABAAD...", "channel": "web" }'

A successful request returns HTTP 200:

Code
{ "code": 200, "status": "success", "client_transaction_id": "id-forgery-001", "result": { "forged": false }, "balance": 100, "transaction_id": "019c1234-5678-7abc-8def-0123456789ab", "message": "inspect successful" }
Last modified on October 23, 2026
ID Card Forgery v1Environments
On this page
  • Basic Authentication
  • Bearer HMAC Authentication
JSON